generator-jhipster-module

💍 One JHipster module to rule them all

Showing:

22 Versions

2.6.0

  • JHipster v6 compatibility
  • Setup Prettier in generated module
  • Replaced Travis by GitHub Actions
  • Generated module now includes preconfigured integration tests
  • Removed references to Angular1
  • Various cleanup and renaming
  • Updated dependencies

https://github.com/jhipster/generator-jhipster-module/compare/v2.5.0...v2.6.0

2.5.0

2.4.1

  • Switch to NPM by default
  • Upgrade some dependencies

Thanks to:

2.4.0

  • JHipster 5 compatibility

2.3.1

Minor update:

2.2.0

Thanks to @CarreraPHP for upgrading to Yeoman 2.0 : https://github.com/jhipster/generator-jhipster-module/pull/19 Upgrade some other dependencies Add lint: use yarn lint or gulp eslint

2.1.1

  • fix jhipster entity post creation hook
  • fix the yarn or npm install, during the appropriate phase
  • polish / remove unused variables

2.1.0

2.0.0

Major release:

  • compatible with Yeoman 1.0
  • support JHipster 4.0 with Angular2

1.1.0

  • the user can choose the LICENSE
  • fix npm test on the generated module

1.0.0

First major release

0.0.9

Thanks to @deepu105 for contributing so much to this release !

0.0.8

Update information, after the transfert of this repository

0.0.7

Minor changes :

  • review code
  • fix #2

0.0.6

The issue #1 should be fixed now :

  • the filename must be choosen precisely (for example : package.json -> _package.json)
  • if not, when packaging, these files won't be included in npm package

Thanks to @cbornet for reporting this, because this module was unusable

0.0.5

The #1 is not fixing : the .files are not generated But the module can be used

0.0.4

0.0.3

Fix #1

0.0.2

  • add control on questions
  • add usage
  • add default index.js

0.0.1

First release, to init this module